Guard Babenco:
It was a village that was reduced to ashes by the Ol Mahum soldiers during the war with Gracia. It got its name because people say that they can still hear the sorrowful screams of the slaughtered innocents. The ghosts of the dead haunt the burnt buildings even during the day.
How to get to the ruins? I don't know why you'd want to go to that cursed village. If you follow this road west, you will come to a fork in the road. Go north, and you will arrive at the Ruins of Agony.
Return